geos::operation::valid::TopologyValidationError Class Reference

Contains information about the nature and location of a geom::Geometry validation error. More...

`#include <TopologyValidationError.h>`

## Public Types

enum | errorEnum { eError , eRepeatedPoint , eHoleOutsideShell , eNestedHoles , eDisconnectedInterior , eSelfIntersection , eRingSelfIntersection , eNestedShells , eDuplicatedRings , eTooFewPoints , eInvalidCoordinate , eRingNotClosed , oNoInvalidIntersection = -1 }

## Public Member Functions

| TopologyValidationError (int newErrorType, const geom::CoordinateXY &newPt)
| TopologyValidationError (int newErrorType)
const geom::CoordinateXY & | getCoordinate () const
std::string | getMessage () const
int | getErrorType () const
std::string | toString () const

## Detailed Description

Contains information about the nature and location of a geom::Geometry validation error.

The documentation for this class was generated from the following file:

- TopologyValidationError.h